Return Flatpattern Callouts

Hello

I have a sheetmetal part with a flatpattern feature.
I would like to extract and return informations from the callouts (Bend radius, bend angle, bend sequence ID, etc...)
In the journal I submit, I managed to show only
the tag of every callout (Label-Tag).
I know of various methods like "GetFlatPatternAllCalloutTypeDisplay" or "GetFlatPatternCalloutTypeDisplay" but I don't know
how to use them.

Could anyone help me?

I'm using NX 10.

Thanks, regards.

Option Strict Off  
 
Imports System
Imports System.Collections
Imports NXOpen
Imports NXOpen.UF
Imports NXOpen.UI
Imports NXOpen.Utilities
Imports System.Collections.Generic
Imports NXOpen.Features
Imports NXOpen.Features.Sheetmetal 
Imports NXOpen.Features.FlatPattern
 
 
Module examine_geometry
 
    Dim ufs As UFSession = UFSession.GetUFSession()
    Dim theSession As Session = Session.GetSession()
    Dim workPart As Part = theSession.Parts.Work
    Dim lw As ListingWindow = theSession.ListingWindow
 
    Sub Main()
 
        lw.Open()	
			Dim flatPatternEntities() As NXObject
 
 
			For Each myFeature As Feature In workPart.Features.GetFeatures()
				If myFeature.FeatureType = "FLAT_PATTERN" Then
					Dim myFlatPattern As FlatPattern = myFeature
					lw.WriteLine("flat pattern found, feature number: " & myFeature.GetFeatureName)
 
					flatPatternEntities = myFlatPattern.GetAnnotations
					lw.WriteLine("Entity Count: " & flatPatternEntities.Length)
 
					For Each Ann As NXObject In flatPatternEntities
						lw.WriteLine("Annotation: " & Ann.toString)
					Next
 
 
				End If
			Next
 
 
		lw.Close()
 
	End Sub
 
 
End Module

Try the following journal code. I used your code and added some code from GTAC that evaluates note text that references attributes:
http://nxjournaling.com/comment/2349#comment-2349

Option Strict Off  
 
Imports System
Imports System.Collections
Imports NXOpen
Imports NXOpen.UF
Imports NXOpen.UI
Imports NXOpen.Utilities
Imports System.Collections.Generic
Imports NXOpen.Features
Imports NXOpen.Features.Sheetmetal 
Imports NXOpen.Features.FlatPattern
 
 
Module examine_geometry
 
    Dim ufs As UFSession = UFSession.GetUFSession()
    Dim theSession As Session = Session.GetSession()
    Dim workPart As Part = theSession.Parts.Work
    Dim lw As ListingWindow = theSession.ListingWindow
 
    Sub Main()
 
        lw.Open()	
			Dim flatPatternEntities() As NXObject
 
 
			For Each myFeature As Feature In workPart.Features.GetFeatures()
				If myFeature.FeatureType = "FLAT_PATTERN" Then
					Dim myFlatPattern As FlatPattern = myFeature
					lw.WriteLine("flat pattern found, feature number: " & myFeature.GetFeatureName)
 
					flatPatternEntities = myFlatPattern.GetAnnotations
					lw.WriteLine("Entity Count: " & flatPatternEntities.Length)
 
					For Each Ann As Annotations.Label In flatPatternEntities
                        dim noteText() as string = Ann.GetText                        
 
                        Dim aT As Annotations.AssociativeText = theSession.Parts.Work.Annotations.CreateAssociativeText()
                        Dim cData As Annotations.ComponentData = theSession.Parts.Work.Annotations.CreateComponentData(Ann)
 
                        For Each tC As Annotations.TextComponent In cData.GetTextComponents
                            lw.writeline(tC.Type.ToString & ": ")
                            For Each aLine As String In tC.GetText()
                                lw.writeline(" raw note text: " & aLine)
                                lw.writeline(" evaluated note text: " & aT.GetEvaluatedText(Ann, aLine))
                                lw.writeline("")
                            Next
 
                        Next
 
					Next
 
 
				End If
			Next
 
 
		lw.Close()
 
	End Sub
 
 
End Module

That's what i was lookin' for.
Thank you very much.